/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao;

import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.PricingEspecifico;

import java.util.Date;
import java.util.List;

/**
 *
 * @author Rafius
 */
public interface PricingEspecificoDAO extends GenericDAO<PricingEspecifico, Long> {

    public List<PricingEspecifico> buscarPorNome(PricingEspecifico pricingEspecifico);
    
    public List<PricingEspecifico> buscarPorNome(String nome);

	public List<PricingEspecifico> buscar(List<Empresa> empresas, List<ClaseServicio> tipoClasses, List<Parada> origens, List<Parada> destinos, Date vigenciaInicial, Date vigenciaFinal);
}
