package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.ConfRestricaoRutasDAO;
import com.rjconsultores.ventaboletos.entidad.ConfRestricaoRutas;

@Repository("confRestricaoRutasDAO")
public class ConfRestricaoRutasHibernateDAO extends GenericHibernateDAO<ConfRestricaoRutas, Integer>
		implements ConfRestricaoRutasDAO {

	@Autowired
	public ConfRestricaoRutasHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}
}
