package com.rjconsultores.ventaboletos.service;

import java.util.Date;
import java.util.List;

import com.rjconsultores.ventaboletos.entidad.CobrancaAdcPuntoVenta;
import com.rjconsultores.ventaboletos.entidad.CobrancaAdicionalHistorico;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;

public interface CobrancaAdcPuntoVentaService extends GenericService<CobrancaAdcPuntoVenta, Integer> {

	List<CobrancaAdcPuntoVenta> buscarTodasAsCobrancas(PuntoVenta puntoVenta);

	List<CobrancaAdicionalHistorico> buscaHistoricoCobranca(CobrancaAdcPuntoVenta cobranca, Date dataInicial, Date dataFinal);

}
